/*
 * Toolbar
 *
 * Index
 * - Toolbar container
 * - Toolbar content
 * - Toolbar buttons
 * - Toolbar colors
 *
 */

.toolbar {
  position: relative;
  box-sizing: border-box;
  display: block;
  width: 100%;
  contain: content;
  color: var(--road-on-surface);
  background: var(--road-surface);
  border-bottom: 1px solid var(--road-outline);
}

/* TOOLBAR CONTAINER
 -------------------- */

.toolbar-container {
  position: relative;
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  min-height: 3.73rem;
  contain: content;
  overflow: hidden;
}

/* TOOLBAR TITLE CONTAINER
 -------------------- */

.toolbar-title-container {
  position: relative;
  top: 0;
  left: 0;
  display: flex;
  flex: 1;
  align-items: center;
  width: 100%;
  height: 100%;
  text-align: center;
}

/* TOOLBAR TITLE
 -------------------- */

.toolbar-title {
  display: block;
  width: 100%;
  margin-left: 1rem;
  overflow: hidden;
  font-size: var(--road-font-size-18);
  font-weight: 700;
  text-align: left;
  text-overflow: ellipsis;
  white-space: nowrap;
  pointer-events: auto;
}

@media (min-width: 1200px) {

  .toolbar-title {
    font-size: var(--road-font-size-21);
  }
}

/* TOOLBAR CONTENT
 -------------------- */

.toolbar-content {
  flex: 1 1 0%;
  min-width: 0;
  max-width: 100%;
}

/* TOOLBAR LOGO
 -------------------- */

.toolbar .logo {
  position: relative;
  z-index: 1;
  padding-left: 1rem;
  margin-bottom: 0;
  font-size: var(--road-font-size-14);
  font-weight: 400;
}

.toolbar .app-name {
  margin-left: 1rem;
  font-size: var(--road-font-size-21);
  font-weight: 700;
}

/* TOOLBAR BUTTONS
 -------------------- */

.toolbar .btn {
  position: relative;
  z-index: 1;
  padding: 0 0.5rem;
  margin-bottom: 0;
  font-size: var(--road-font-size-14);
  font-weight: 400;
  background: var(--road-surface);
  border-left: 1px solid var(--road-outline);
  border-radius: 0;
}

.toolbar .btn.btn-back {
  flex-wrap: wrap;
  justify-content: start;
  height: auto;
  padding: 0 0.5rem;
  border-right: 1px solid var(--road-grey-500);
}

/* TOOLBAR COLORS
 -------------------- */

:host(.toolbar-primary) {
  color: var(--road-on-header-surface);
  background: var(--road-header-surface);
}

:host(.toolbar-secondary) {
  color: var(--road-on-secondary);
  background: var(--road-secondary);
}
